Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1799953 - python26: FTBFS in Fedora rawhide/f32
Summary: python26: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python26
Version: 32
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Python Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:43 UTC by Fedora Release Engineering
Modified: 2020-03-18 13:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-18 13:21:41 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 19:43 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 19:43 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 19:43 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 19:43:19 UTC
python26 failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41320866


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix python26 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python26 will be orphaned. Before branching of Fedora 33,
python26 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:43:23 UTC
Created attachment 1660531 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 19:43:24 UTC
Created attachment 1660532 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:43:26 UTC
Created attachment 1660533 [details]
state.log

Comment 4 Miro Hrončok 2020-02-06 19:48:05 UTC
We plan to retire this package in Fedora 33.


https://fedoraproject.org/wiki/Changes/RetirePython26


Lowering the priority and severity here. If this blocks anything, let us know.

Setting to ASSIGNED to avoid automatic orphaning. Would close as WONTFIX, but want to keep tracking it.

Comment 5 Miro Hrončok 2020-02-06 19:50:49 UTC
And the error is:

original debug info size: 11660kB, size after compression: 10392kB
/usr/lib/rpm/sepdebugcrcfix: Updated 71 CRC32s, 0 CRC32s did match.
cpio: Python/dtrace.o.dtrace-temp.c: Cannot stat: No such file or directory
20752 blocks

That is a weird one.

Comment 6 Ben Cotton 2020-02-11 16:49:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 7 Petr Viktorin (pviktori) 2020-03-18 13:21:41 UTC
We're planning to retire python26 in Rawhide, and we don't plan to rebuild it in older Fedoras.
If someone does rebuild it, they don't need this bug to notice the problem.


Note You need to log in before you can comment on or make changes to this bug.